Name:		digikam-doc
Version:	0.9.1
Release:	1%{?dist}
Summary:	Documentation for the digiKam and Showfoto

Group:		Documentation
License:	GFDL
URL:		http://www.digikam.org/
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	kdelibs-devel
Requires:	digikam >= %{version}

%description
Documentation for the digiKam and Showfoto.

%prep
%setup -q -n %{name}-%{version}

%build
export kde_htmldir=%{_docdir}/HTML
%configure --target=%{_build_cpu}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Fix AUTHORS encoding
iconv -f ISO-8859-1 -t UTF-8 < AUTHORS > AUTHORS.tmp
mv -f AUTHORS.tmp AUTHORS

# Make symlink relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/
for i in *
do
	pushd $RPM_BUILD_ROOT%{_docdir}/HTML/$i/
	for j in *
	do
		pushd $RPM_BUILD_ROOT%{_docdir}/HTML/$i/$j/
		ln -sf ../common
	done
	popd
done
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING-DOCS
%{_docdir}/HTML/*/digikam/
%{_docdir}/HTML/*/showfoto/

%changelog
* Thu Mar 29 2007 Marcin Garski <mgarski[AT]post.pl> 0.9.1-1
- Update to 0.9.1
- Spec tweak up

* Wed Dec 20 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.2-4
- Change requires to allow coexist older doc with newer apps package (#220297)

* Thu Aug 31 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.2-3
- Remove redundant %%doc
- Fix noarch building

* Thu Aug 31 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.2-2
- Changed summary field
- Build as noarch

* Sat Aug 26 2006 Marcin Garski <mgarski[AT]post.pl> 0.8.2-1
- Initial specfile for Fedora Extras
